window.onresize = function() {
	aotuHeight()
}

window.onload = function() {
	aotuHeight();
	var links = document.getElementsByClassName('sub')[0];
	if(links != undefined) 
	{
		var tab = links.getElementsByTagName('a');
		for (var i = 0; i < tab.length; i++) {
			removeClass(tab[i].parentNode,'current');
			if (tab[i].getAttribute('href') == window.location.pathname){
				tab[i].parentNode.className = 'current';
			}else if(tab[i].getAttribute('href') == '/admin'){
				tab[0].parentNode.className = 'current';
			}
		}
		var getCard = localStorage.getItem('GetCard');
		if (getCard == null || getCard == '-1' || getCard == '0' || getCard == '2'){
			$.post('/api/Cardapi/GetCardFind',function(res){
				if(!res.data || res.data.length == 0){
					var status = -1;
				}else{
					var status = res.data.status;
				}
				localStorage.setItem('GetCard',status);
				Card();
			});
		}else{
			Card();
		}
	}
}

//主体内容高度自适应
function aotuHeight() {
	var McontHeight = document.body.clientHeight;
	var bodyHeight = document.body.clientHeight - 185;
	
	var dom = document.getElementsByClassName('box')[0];
	if(dom != undefined) document.getElementsByClassName('box')[0].style.minHeight = bodyHeight + 'px';
}

//跳转至身份证实名界面
function user_href() {
	location.href = '/admin/userinfo.html';
}
//跳转至身份证实名界面
function user_real() {
	localStorage.userinfo = 'validated';
	location.href = '/admin/userinfo.html';
}
// 实名认证状态
function Card() {
	var card = document.getElementsByClassName('card')[0]
	if(card != undefined)
	{
		var cardHtml = '';
		var myserverNotice = document.getElementsByClassName('myserver_notice')[0];
		var myserver = document.getElementsByClassName('myserver')[0];
		if(myserver != undefined) myserver.style.display = 'block';
		switch (localStorage.getItem('GetCard')) {
			case '-1':
				card.innerHTML = cardHtml + "&nbsp;&nbsp;<a href='javascript:user_real();' style='color:red;'>(&nbsp;未实名&nbsp;)</a>";
				myserverNotice.innerHTML = "&nbsp;&nbsp;当前未实名登记,将导致SSL证书无法申请。<a href='javascript:user_real();' style='color:#20A53A;'>立即实名</a>";
				break;
			case '0':
				card.innerHTML = cardHtml + "&nbsp;&nbsp;<a href='javascript:user_real();' style='color:red;'>(&nbsp;待审核&nbsp;)</a>";
				myserverNotice.innerHTML = "&nbsp;&nbsp;当前账号实名认证待核实。<a href='javascript:user_real();' style='color:#20A53A;'>查看审核进度</a>"
				break;
			case '1':
				card.innerHTML = cardHtml + "&nbsp;&nbsp;<a href='javascript:user_real();' style='color:#20A53A;'>(&nbsp;已实名&nbsp;)</a>";
				myserver.style.display = 'none';
				break;
			case '2':
				card.innerHTML = cardHtml + "&nbsp;&nbsp;<a href='javascript:user_real();' style='color:red'>(&nbsp;审核失败&nbsp;)</a>";
				myserverNotice.innerHTML = "&nbsp;&nbsp;当前账号实名登记失败,请重新提交申请。<a href='javascript:user_real()' style='color:#20A53A;'>重新提交实名</a>"
			break;
			default:
				myserver.style.display = 'none';
			break;
		}
	}
}

//退出登录，清除localStorage
function loginExit() {
	var exitLoding = layer.msg("正在返回登录界面，请稍等...",{icon: 16,time: 1000,shade: 0.3});
	$.get('/api/user/loginOut', function(res) {
		if (res.code == 1) {
			layer.close(exitLoding);
			localStorage.setItem('userStatus', 'false');
			setTimeout("location.href = '/'", 100);
		}
	}).error(function() {
		layer.msg('接口出错，请重试');
	});
}
// ajax封装
function utilAjax(obj,middleware){
    var deferred = $.Deferred();
    $.ajax({
        url: obj.url || '/interface',
        data: obj.data || {},
        dataType: obj.dataType || 'json',
        type: obj.type || 'get',
        async: obj.async || true,
        beforeSend: function () {
            obj.load == undefined ? layer.load() : '';
        },
        success: function (data) {
            layer.closeAll('loading');
            if(data.code == 1005){
            	layer.confirm('当前账号已失效，请重新登录!', {
            		btn: ['确定'],
            		icon: 3,
            		cancel:function(){
            			loginExit();
            		},
            	}, function() {
            		loginExit();
            	});
            }else if(data.code == undefined){
            	deferred.resolve(data);
            }else if (data.code != 1){
                deferred.reject(data.msg);
            }else{
            	deferred.resolve(data);
            }
        },
        error: function(XMLhttpServlet) {
					console.log(XMLhttpServlet)
					layer.closeAll('loading');
					if(parseInt(XMLhttpServlet.status) === 400){
						var rdata = XMLhttpServlet.responseJSON
						layer.msg(rdata.res,{icon:2})
						return deferred.reject(XMLhttpServlet.responseJSON.res)
					}
					if(parseInt(XMLhttpServlet.status) === 401){
						layer.confirm('当前账号已失效，请重新登录!', {
										btn: ['确定'],
										icon: 3,
										cancel:function(){
											loginExit();
										},
									}, function() {
										loginExit();
									});
						return false;
					}
					deferred.reject('接口出错，请重试');
        }
    });
    // 添加中间件
    if(!middleware) {
        middleware = function(){};
    }
    return deferred.done(middleware).fail(function (err) {
        layer.msg(err,{icon:2});
    });
}
Vue.prototype.$getLocalTime = function(time,formats){
	time = time.toString();
	if (time.length > 10) time = time.substring(0, 10)
	return new Date(parseInt(time) * 1000).format(formats == undefined?"yyyy/MM/dd hh:mm:ss":formats);
}

Vue.filter('timeFormat', function (time,formats) {
	time = time.toString();
	if(time == 0) return '永久';
	if (time.length > 10) time = time.substring(0, 10)
	return new Date(parseInt(time) * 1000).format(formats == undefined?"yyyy/MM/dd hh:mm:ss":formats);
});
Vue.filter('timesTamp', function (time,formats) {
	if (!time) return '--';
	time = time.toString();
	if (time.length > 10) time = time.substring(0, 10)
	return new Date(parseInt(time) * 1000).format(formats == undefined?"yyyy/MM/dd hh:mm:ss":formats);
});

function getLocalTime(time){
	time = time.toString();
	if (time.length > 10) time = time.substring(0, 10)
	return new Date(parseInt(time) * 1000).format("yyyy/MM/dd hh:mm:ss");
}
// 判断class是否存在
function hasClass(elements, cName) {
	return !!elements.className.match(new RegExp("(\\s|^)" + cName + "(\\s|$)"));
};

// 添加Class名称
function addClass(elements, cName) {
	if (!hasClass(elements, cName)) {
		elements.className += " " + cName;
	};
};

// 删除Class名称
function removeClass(elements, cName) {
	if (hasClass(elements, cName)) {
		elements.className = elements.className.replace(new RegExp("(\\s|^)" + cName + "(\\s|$)"), " ");
	}
};


/**
 *  obj in object;

 	obj.reg 正则
 	obj.cls 类名称
 	obj.successTip 成功提示
 	obj.errorTip 失败提示
 */
function formVerifcation(obj, callback) {
	var clsVal = document.getElementsClassName(obj.cls)[0];
	if (obj.reg.test(clsVal.value)) {
		layer.msg(obj.successTip, {
			icon: 1
		});
		clsVal.className = obj.clsName;
		callback();
		return true;
	} else {
		layer.msg(obj.errorTip, {
			icon: 2
		});
		callback();
		return false;
	}
}


//时间格式
Date.prototype.format = function(format) {
	var o = {
		"M+": this.getMonth() + 1, //month
		"d+": this.getDate(), //day
		"h+": this.getHours(), //hour
		"m+": this.getMinutes(), //minute
		"s+": this.getSeconds(), //second
		"q+": Math.floor((this.getMonth() + 3) / 3), //quarter
		"S": this.getMilliseconds() //millisecond
	}
	if (/(y+)/.test(format)) format = format.replace(RegExp.$1,
		(this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for (var k in o)
		if (new RegExp("(" + k + ")").test(format))
			format = format.replace(RegExp.$1,
				RegExp.$1.length == 1 ? o[k] :
				("00" + o[k]).substr(("" + o[k]).length));
	return format;
}


Vue.prototype.$http = function(config) {
	return new Promise(function(resolve,reject){
		var method,res,rdata;
        method = (config.method == undefined || config.method.toUpperCase() == 'POST')?'POST':config.method.toUpperCase()
        if(config.url == '') layer.msg('当前接口地址为空，请检查代码！');
        try {
			var _axios = {
				responseType:config.dataType || 'json', //默认JSON格式
				headers:config.headers || { 'Content-Type': 'application/x-www-form-urlencoded' }, //默认From头部格式提交
				method:method,
				url:config.url,
				data: method === 'POST'?config.data:'',
				params:method === 'GET'? config.data : '',
				transformRequest:[function (data) {
					var ret = ''
					for (var it in data) {
						ret += encodeURIComponent(it) + '=' + encodeURIComponent(data[it]) + '&'
					}
					return ret.slice(0,-1);
				}]
			}
			if(method === 'POST' && config.headers) delete _axios.transformRequest
			axios(_axios).then(function(res){
				rdata = res.data;
				if(rdata.code === 1005){
					layer.alert('当前登录状态已过期,请重新登录', '状态错误',{
						icon:2,
						title:'登录状态',
						yes:function(){
							axios.post('/api/user/loginOut').then(function(res){
								var _rdata = res.data;
								if(_rdata.code == 1){
									setTimeout("location.href = '/'",100);
									localStorage.setItem('userStatus','false');
								}
							}).catch(function(error){
								layer.msg(error || '操作失败',{icon:2});
							});
						}
					});
					return false;
				}
				if(rdata.code == 1006){
					layer.msg(rdata.msg,{icon:2});
					reject(rdata);
					return false;
				}
				if(rdata.status === false){
					layer.msg(rdata.msg || '操作失败',{icon:2});
					reject(res);
					return false
				}
				if(config.verify){
					resolve(rdata);
					return false
				}
				layer.msg(rdata.msg || '操作成功',{icon:1});
				resolve(rdata);
			}).catch(function(error){
				reject(error);
			})
		}catch(error){
			layer.msg(rdata.msg || '操作失败',{icon:2});
            reject(res);
		}
	});

	// var type = '',requestData = '';
	// 	obj.type == undefined || obj.type.toLowerCase() == 'get'?type = 'get':type = 'post';
	// 	axios({
	// 		responseType: obj.dataType || 'json', // 默认的
	// 		headers: obj.head || { 'Content-Type': 'application/x-www-form-urlencoded' },
	// 		method: type || 'get',
	// 		url: obj.url || '/',
	// 		data: type == 'post' ? obj.data : '',
	// 		params: type == 'get' || obj.data == '' ? obj.data : '',
	// 	}).then(res => {
	// 		requestData = res.data;
	// 		if (res.status != 200){
	// 			layer.msg(res.statusText,{icon:2,title:'请求错误:'+res.status});
	// 			return false;
	// 		}
	// 		if (requestData.code == 1005) {
	// 			layer.alert('当前登录状态已过期,请重新登录', '状态错误',{
	// 				icon:2,
	// 				title:'登录状态',
	// 				yes:function(){
	// 					axios.post('/api/user/loginOut').then(function(){
	// 						setTimeout("location.href = '/'",100);
	// 						localStorage.setItem('userStatus','false');
	// 					});
	// 				}
	// 			});
	// 			return false;
	// 		}
	// 		if (obj.verify){
	// 			resolve(requestData);
	// 			return false;
	// 		}
	// 		if (requestData.code == 1 || requestData.status){
	// 			resolve(requestData);
	// 			layer.msg(requestData.msg || '操作成功',{icon:1});
	// 		}else{
	// 			reject(res);
	// 			layer.msg(requestData.msg || '操作失败',{icon:2});
	// 		}
	// 	});
}
